wake-up-neo.net

Wie installiere ich das Android ADT Plugin in Eclipse?

Ich habe die Anweisungen unter ADT Plugin for Eclipse befolgt, aber bei der Installation in Eclipse habe ich diese Meldung erhalten:

Cannot complete the install because one or more required items could not be found
  Software being installed: Android Development Tools 0.9.9.v201009221407-60953 
      (com.Android.ide.Eclipse.adt.feature.group 0.9.9.v201009221407-60953)
  Missing requirement: Android Development Tools 0.9.9.v201009221407-60953
      (com.Android.ide.Eclipse.adt.feature.group 0.9.9.v201009221407-60953)
      requires 'org.Eclipse.gef 0.0.0' but it could not be found

Ich habe sowohl mit 64bit als auch mit 32bit Eclipse Galileo neu installiert. Ich verwende Windows 7.

Update: Ich habe die Schritte auf org.Eclipse.gef 0.0.0 für die Installation von Android Development Tools unter Eclipse 3.5.1 befolgt und das GEF SDK 3.5.2 installiert. Jetzt habe ich ein ähnliches Update erhalten Fehlermeldung bei der Installation von ADT:

Cannot complete the install because one or more required items could not be found
  Software being installed: Android Development Tools 0.9.9.v201009221407-60953 
      (com.Android.ide.Eclipse.adt.feature.group 0.9.9.v201009221407-60953)
  Missing requirement: Android Development Tools 0.9.9.v201009221407-60953
      (com.Android.ide.Eclipse.adt.feature.group 0.9.9.v201009221407-60953)
      requires 'org.Eclipse.wst.sse.core 0.0.0' but it could not be found

Wie kann ich das Android ADT Plugin für Eclipse 3.5.2 unter Windows installieren?

21
Jonas

Ich befolgte schließlich die Anweisungen unter Während der Installation gibt es einen Fehler, dass org.Eclipse.wst.sse.ui erforderlich ist. Wie kann ich das beheben? und installiert Google Plugin für Eclipse Galileo , dann funktionierte die Installation von Android ADT Plugin problemlos.

15
Jonas

Auf Ubuntu 11 wird Eclipse 3.7 (Indigo) installiert. Damit es funktioniert, musste ich http://download.Eclipse.org/releases/Indigo der Quellenliste hinzufügen. Danach funktionierte es wie ein Zauber.

6
Robin Degen

Führen Sie unter Windows 7 Eclipse mit As Administrator aus.

PS: Ich habe es in Verbindung mit anderen Ratschlägen gemacht, wie dem Hinzufügen von Indigo-Release-URL zu verfügbaren Quellen und der Verwendung von HTTP anstelle von HTTPS. Ich habe nicht getestet, ob alle drei Anforderungen erfüllt werden müssen oder ob die erste ausreichend ist.

5

Das hat bei mir funktioniert

  1. Gehen Sie zu Hilfe-> Neue Software installieren
  2. Gehe zu "Verfügbare Softwarequellen"
  3. Überprüfen Sie alle Kästchen
  4. Versuchen Sie es erneut mit den offiziellen Anweisungen. http://developer.Android.com/sdk/Eclipse-adt.html#installing
3
Dan

Bei der Installation von 3.7 Indigo habe ich festgestellt, dass das Plug-In jetzt heißt: 

WST-Serveradapter

org.Eclipse.wst.server_adapters.feature.feature.group

2
TomDestry

Ich habe die gleiche Nachricht in Galileo erhalten, dann habe ich Indigo installiert und es hat funktioniert, obwohl ich nur Entwickler-Tools und Plugins überprüft habe. Aber das ADT funktioniert jetzt. 

1
DrunkenDemon

Wenn jemand ein Upgrade von Eclipse 3.6 durchführt und seine Verzeichnisse kopiert (überschrieben oder zusammengeführt) hat, wird ein Abhängigkeitsfehler angezeigt, und ADT wird nicht installiert .. __ Stellen Sie sicher, dass Sie zurückgehen, Eclipse löschen und den neuen Eclipse frisch entpacken zum neuen Standort und führe es aus! Für mich gearbeitet!

0
Harsh Alkutkar

Sie sollten die Verbindung Ihres Computers auf keinen Proxy setzen und Eclipse als Administrator ausführen

0
nbsrujan